Method: projects.locations.collections.engines.assistants.agents.a2a.v1.tasks.pushNotificationConfigs.create

タスクのプッシュ通知構成を設定します。

HTTP リクエスト


POST https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/{parent=tasks/*/pushNotificationConfigs}

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
tenant

string

省略可能なテナント。パスパラメータとして指定します。試験運用版。1.0 リリースで変更される可能性があります。

parent

string

必須。この構成の親タスク リソース。形式: tasks/{taskId}

クエリ パラメータ

パラメータ
configId

string

必須。新しい構成の ID。

リクエストの本文

リクエストの本文には TaskPushNotificationConfig のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には、新しく作成された TaskPushNotificationConfig のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳細については、Authentication Overview をご覧ください。